#! /usr/bin/env node

"use strict";

const builder_1 = require("./builder");
const util_1 = require("./util");
const promise_1 = require("./promise");
const awaiter_1 = require("./awaiter");
const cla = require("command-line-args");
const __awaiter = awaiter_1.tsAwaiter;
Array.isArray(__awaiter);
const cli = cla(util_1.commonArgs.concat({ name: "arch", type: String, description: "ia32, x64 or all (by default)." }, { name: "dist", type: Boolean, alias: "d", description: "Whether to package in a distributable format (e.g. DMG, windows installer, NuGet package)." }, { name: "publish", type: String, alias: "p", description: "Publish artifacts (to GitHub Releases): onTag (on tag push only) or onTagOrDraft (on tag push or if draft release exists)." }, { name: "build", type: Boolean, description: "Deprecated, use dist instead." }, { name: "sign", type: String }, { name: "platform", type: String, description: "darwin or win32. Current platform (" + process.platform + ") by default." }, { name: "help", alias: "h", type: Boolean }));
const args = cli.parse();
if (args.help) {
    console.log(cli.getUsage({ hide: ["build"] }));
} else {
    if (args.build) {
        args.dist = true;
    }
    builder_1.build(args).catch(promise_1.printErrorAndExit);
}
//# sourceMappingURL=build-cli.js.map
